#include <bits/stdc++.h>
using namespace std;
int n;
long double a[1000005],p[105],suma1;
int main(){
    cin>>n;

    suma1=0;
  for(int i=1; i<=n; i++)
    cin>>a[i]>>p[i];
     for(int i=1; i<=n; i++){
    if (p[i]>=p[i+1]){
        suma1+=a[i]*(p[i]/100);
    } }
    cout<<suma1;



  return 0;
}